Skip to main content
PATCH
/
data
/
annotations
/
{id}
Update annotation
curl --request PATCH \
  --url https://acusight.io/api/data/annotations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "class_value": "<string>",
  "confidence": 123,
  "geometry": "<unknown>",
  "height": 123,
  "width": 123,
  "x_center": 123,
  "y_center": 123,
  "z_order": 123
}
'
{
  "data": {
    "class_value": "<string>",
    "confidence": 123,
    "created_at": "<string>",
    "geometry": [
      123
    ],
    "height": 123,
    "id": 123,
    "image_id": 123,
    "model_id": "<string>",
    "model_name": "<string>",
    "model_version": "<string>",
    "source": "<string>",
    "type": "<string>",
    "updated_at": "<string>",
    "width": 123,
    "x_center": 123,
    "y_center": 123,
    "z_order": 123
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Annotation ID

Body

application/json

Annotation update payload

class_value
string
confidence
number
geometry
any
height
number
width
number
x_center
number
y_center
number
z_order
integer

Response

Updated annotation

data
object
error
object
meta
object
success
boolean